> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteTimeEntry

> Use the `deleteTimeEntry` API when a time entry was added accidentally by an admin or employee

### What it does:
- Completely removes a time entry by its ID
- Triggers a recalculation of the timecard in accordance with the overtime rules

### Notes:
- The time card must not be approved or synced to remove a time entry. If this is the case you must unapprove the card before continuing
- If a time entry can be fixed rather than deleted use the `upsertTimeEntry` API



## OpenAPI

````yaml delete /adminPortal/deleteTimeEntry
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: TimeOff Admin
  - name: TimeTracking Admin
  - name: TimeOff User
  - name: TimeTracking User
  - name: TimeTracking Reports
  - name: TimeOff Reports
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /adminPortal/deleteTimeEntry:
    delete:
      tags:
        - TimeTracking Admin
      summary: deleteTimeEntry
      description: >-
        Use the `deleteTimeEntry` API when a time entry was added accidentally
        by an admin or employee


        ### What it does:

        - Completely removes a time entry by its ID

        - Triggers a recalculation of the timecard in accordance with the
        overtime rules


        ### Notes:

        - The time card must not be approved or synced to remove a time entry.
        If this is the case you must unapprove the card before continuing

        - If a time entry can be fixed rather than deleted use the
        `upsertTimeEntry` API
      operationId: deleteTimeEntry
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                timeEntryId:
                  type: string
              required:
                - method
                - timeEntryId
            example:
              method: deleteTimeEntry
              timeEntryId: 8B57BE5E-D6F3-49C4-9A7A-CFBE74019C00
      responses:
        '200':
          description: Time entry deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  timeEntry:
                    type: object
                    properties:
                      timeEntryId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - timeEntryId
                      - status
                      - message
                required:
                  - timeEntry
              example:
                timeEntry:
                  timeEntryId: 8B57BE5E-D6F3-49C4-9A7A-CFBE74019C00
                  status: Ready
                  message: Time entry deleted successfully.
          headers: {}
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: timeEntryId is required.
          headers: {}
      deprecated: false
      security: []

````